package com.gh.gamecenter.entity;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

public class GameDetailEntity {

	private ArrayList<ServerEntity> serverInfo;
	private ArrayList<TagEntity> tag;
	private String remind;
	private ArrayList<NewsEntity> news;
	private ArrayList<String> gallery;
	private String des;
	@SerializedName("d_button_add_word")
	private String downloadAddWord;
	@SerializedName("article_types")
	private ArrayList<String> articleTypes;
	@SerializedName("share_code")
	private String shareCode;

	public ArrayList<String> getArticleTypes() {
		return articleTypes;
	}

	public void setArticleTypes(ArrayList<String> articleTypes) {
		this.articleTypes = articleTypes;
	}

	public ArrayList<ServerEntity> getServerInfo() {
		return serverInfo;
	}

	public void setServerInfo(ArrayList<ServerEntity> serverInfo) {
		this.serverInfo = serverInfo;
	}

	public ArrayList<TagEntity> getTag() {
		return tag;
	}

	public void setTag(ArrayList<TagEntity> tag) {
		this.tag = tag;
	}

	public String getRemind() {
		return remind;
	}

	public void setRemind(String remind) {
		this.remind = remind;
	}

	public ArrayList<NewsEntity> getNews() {
		return news;
	}

	public void setNews(ArrayList<NewsEntity> news) {
		this.news = news;
	}

	public ArrayList<String> getGallery() {
		return gallery;
	}

	public void setGallery(ArrayList<String> gallery) {
		this.gallery = gallery;
	}

	public String getDes() {
		return des;
	}

	public void setDes(String des) {
		this.des = des;
	}

	public String getDownloadAddWord() {
		return downloadAddWord;
	}

	public void setDownloadAddWord(String downloadAddWord) {
		this.downloadAddWord = downloadAddWord;
	}

	public String getShareCode() {
		return shareCode;
	}

	public void setShareCode(String shareCode) {
		this.shareCode = shareCode;
	}

}
